Page MenuHomePhabricator

rebase: stop clearing on-disk mergestate when running in memory
ClosedPublic

Authored by martinvonz on Sep 18 2020, 6:23 PM.

Details

Summary

In-memory merge no longer uses on-disk mergestate since 19590b126764
(merge: use in-memory mergestate when using in-memory context,
2020-09-15). This patch removes the clearing from two places in the
in-memory rebase code. I've verified that the one with a TODO was
indeed fixed by the aforementioned commit. The other instance doesn't
seem to have any test coverage, but I'm pretty confident it's also
safe to remove.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Sep 18 2020, 6:23 PM
pulkit accepted this revision.Sep 19 2020, 3:32 AM
This revision is now accepted and ready to land.Sep 19 2020, 3:32 AM